- Qt 5.5
- Qt Widgets
- C++ Classes
- QWidget
- Qt 5.5.1 Reference Documentation

# Obsolete Members for QWidget

The following members of class QWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isEnabledToTLW() const
`(obsolete)` bool | isTopLevel() const
`(obsolete)` QWidget * | topLevelWidget() const

## Member Function Documentation

### bool QWidget::isEnabledToTLW() const

This function is deprecated. It is equivalent to isEnabled()

### bool QWidget::isTopLevel() const

Use isWindow() instead.

### QWidget * QWidget::topLevelWidget() const

Use window() instead.